> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scheduled Job Groups

> Retrieves all scheduled job groups for an application.



## OpenAPI

````yaml /swagger/management-api.json get /api/v1/{team_slug}/{app_slug}/schedule/groups
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/schedule/groups:
    get:
      tags:
        - Scheduling
      summary: List Scheduled Job Groups
      description: Retrieves all scheduled job groups for an application.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
        - description: Page number (default is 1)
          in: query
          name: page
          schema:
            type: integer
        - description: Amount of groups per page. Minimum 1 and max 100 (default is 20)
          in: query
          name: per-page
          schema:
            type: integer
      responses:
        '200':
          description: Scheduled job groups
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseSchedulingGroupList
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.OkResponseSchedulingGroupList:
      properties:
        data:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.JobGroup
          type: array
        success:
          type: boolean
        total:
          type: integer
        total_pages:
          type: integer
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.JobGroup:
      properties:
        created_at:
          type: string
        id:
          type: string
        jobs:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
          type: array
        name:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Job:
      properties:
        add_category_names:
          items:
            type: string
          type: array
        add_collection_names:
          items:
            type: string
          type: array
        add_tag_names:
          items:
            type: string
          type: array
        execute_at:
          description: Date when the job should run
          type: string
        finished_at:
          description: If a job is finished will this timestamp be filled
          type: string
        group_id:
          type: string
        id:
          type: string
        item_id:
          type: string
        item_name:
          type: string
        item_type:
          type: string
        remove_category_names:
          items:
            type: string
          type: array
        remove_collection_names:
          items:
            type: string
          type: array
        remove_tag_names:
          items:
            type: string
          type: array
        to_amount_cents_with_tax:
          type: integer
        to_market_id:
          type: string
        to_market_status:
          type: string
        to_on_sale:
          type: boolean
        to_sale_amount_cents_with_tax:
          type: integer
        to_start_sale_timestamp:
          type: string
        to_status:
          type: string
        to_stop_sale_timestamp:
          type: string
        to_store_group_id:
          type: string
      type: object

````